# 2. Query: ottieni "Fields"

Un semplice esempio di una query "Fields" che recupera l'area in ettari.

{% hint style="info" %}
L'unità di misura dell'area del "Field" potrebbe essere una delle seguenti: `ACRI` o `ETTARI` o `METRI_QUADRATI`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    nome
    fields {
      uuid
      nome
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Un esempio più dettagliato, che include paginazione e capacità di filtraggio, è descritto in [43: Query Get "Fields"](/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/43.-query-ottieni-fields.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/2.-query-ottieni-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
